package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.EnergyData;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 耗能数据 服务类
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
public interface IEnergyDataService extends IService<EnergyData> {
    Result listCount(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listData(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result listRank(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    //大屏
    Result listDataScreen(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result listRankScreen(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    //大屏能耗的弹窗
    Result listDataAll(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    //仅仅是为了暴露出去展示的字段好看一点而写
    Result listDataAll2(HttpServletRequest httpServletRequest,Map<String,String> paramsMap) throws ParseException;

    Result listDataTail(HttpServletRequest httpServletRequest,Map<String,String> paramsMap) throws ParseException;

    Result listAll(Map<String, String> paramsMap);

    Result importData(HttpServletRequest httpServletRequest, Map<String, String> paramsMap, MultipartFile files) throws Exception;
}
